<?php
include_once $_SERVER['DOCUMENT_ROOT'] . "/admin/inc/sessionStartGeneral.php";
$store_id = 0;
$storename = "";
$deptName = "";
$action = "";
$posted = $_POST;

$database = 'afsshare_shareportal';
$server = "localhost";
if ($_SERVER['SERVER_ADDR'] == "127.0.0.1") {
    $db_user = 'root';
    $db_pwd = 'root';
} else {
    $db_user = 'afsshare_admin';
    $db_pwd = 'J4@4U&XIyx#A';
}
if (isset($_REQUEST["storeName"])) {
    $storename = $_REQUEST["storeName"];
}
if (isset($_REQUEST["action"])) {
    $action = $_REQUEST["action"];
}
if (isset($_REQUEST['storeId'])) {
    $store_id = $_REQUEST['storeId'];
}
if ($action == "add_dept") {
    if (isset($_REQUEST['deptName'])) {
        $deptName = $_REQUEST['deptName'];
    }

    try {
        $mysqli = new mysqli($server, $db_user, $db_pwd, $database);
        $sql = "CALL AddNewDepartment(?,?)";

        $stmt = $mysqli->prepare($sql);
        $stmt->bind_param('is', $store_id, $DeptName);
        $store_id = (int) $store_id;
        $DeptName = (string) $deptName;

        $stmt->execute();
        $stmt->close();
        $mysqli->close();
        $results = "ok";
    } catch (mysqli_sql_exception $e) {
        $results = $e->getMessage();
    }
    echo $results;

} else {
    foreach ($posted['deptName'] as $key => $post) {
        try {
            Update_Store_Hours($post, $posted, $server, $db_user, $db_pwd, $database);
        } catch (Exception $e) {
            echo $e->getMessage();
        }
    }

    if (isset($posted['delete'])) {
        foreach ($posted['delete'] as $deptName => $delete) {
            try {
                $mysqli = new mysqli($server, $db_user, $db_pwd, $database);
                $sql = "CALL DeleteDepartment(?,?)";
                $stmt = $mysqli->prepare($sql);
                $stmt->bind_param('is', $store_id, $DeptName);
                $store_id = (int) $store_id;
                $DeptName = (string) $deptName;
                $stmt->execute();
                $stmt->close();
                $mysqli->close();
            } catch (Exception $e) {
                echo $e->getMessage();
            }
        }
    }
    echo "ok";
}

function Update_Store_Hours($post, $posted, $server, $db_user, $db_pwd, $database)
{
    try {
        $mysqli = new mysqli($server, $db_user, $db_pwd, $database);
        $sql = "CALL UpdateStoreHours(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
        $stmt = $mysqli->prepare($sql);
        $stmt->bind_param('sssssssssssssssi', $mondayOpen, $mondayClose, $tuesdayOpen, $tuesdayClose, $wednesdayOpen, $wednesdayClose, $thursdayOpen, $thursdayClose, $fridayOpen, $fridayClose, $saturdayOpen, $saturdayClose, $sundayOpen, $sundayClose, $store_department_name, $store_id);
        $mondayOpen = (string) $posted['monday_open'][$post];
        $mondayClose = (string) $posted['monday_close'][$post];
        $tuesdayOpen = (string) $posted['tuesday_open'][$post];
        $tuesdayClose = (string) $posted['tuesday_close'][$post];
        $wednesdayOpen = (string) $posted['wednesday_open'][$post];
        $wednesdayClose = (string) $posted['wednesday_close'][$post];
        $thursdayOpen = (string) $posted['thursday_open'][$post];
        $thursdayClose = (string) $posted['thursday_close'][$post];
        $fridayOpen = (string) $posted['friday_open'][$post];
        $fridayClose = (string) $posted['friday_close'][$post];
        $saturdayOpen = (string) $posted['saturday_open'][$post];
        $saturdayClose = (string) $posted['saturday_close'][$post];
        $saturdayOpen = $posted['saturday_open'][$post] > "" ? (string) $posted['saturday_open'][$post] : "Closed";
        $saturdayClose = $posted['saturday_close'][$post] > "" ? (string) $posted['saturday_close'][$post] : "Closed";
        $sundayOpen = $posted['sunday_open'][$post] > "" ? (string) $posted['sunday_open'][$post] : "Closed";
        $sundayClose = $posted['sunday_close'][$post] > "" ? (string) $posted['sunday_close'][$post] : "Closed";
        $store_department_name = (string) $post;
        $store_id = (int) $posted["storeId"];

        $stmt->execute();
        $stmt->close();
        $mysqli->close();
    } catch (Exception $e) {
        //echo $e->getMessage();
        echo $mysqli->error;
    }
}

// echo '"' . $mondayOpen . '",';
// echo '"' . $mondayClose . '",';
// echo '"' . $tuesdayOpen . '",';
// echo '"' . $tuesdayClose . '",';
// echo '"' . $wednesdayOpen . '",';
// echo '"' . $wednesdayClose . '",';
// echo '"' . $thursdayOpen . '",';
// echo '"' . $thursdayClose . '",';
// echo '"' . $fridayOpen . '",';
// echo '"' . $fridayClose . '",';
// echo '"' . $saturdayOpen . '",';
// echo '"' . $saturdayClose . '",';
// echo '"' . $sundayOpen . '",';
// echo '"' . $sundayClose . '",';
// echo '"' . $store_department_name . '",';
// echo '"' . $store_id . '",';